#define	rsts	1
#include <stdio.h>
#include <rsts.h>

putchar(c)
char c;
{
    putc(c, stdout);
}

putc(c, fp)
char c;
FILE *fp;
{
    if (c == 033)
        c = 0233;
    if (!(fp->io_flag & IO_NOS)) {
	switch (c) {
	case '\n':
	    $ptbyt('\r', fp);
	default:
	    $ptbyt(c, fp);
	}
    }
    else {
	$ptbyt(c, fp);
    }
    if (fp->io_flag & IO_REC) {
	fflush(fp);
    }
}

$ptbyt(c, fp)
char c;
FILE *fp;
{
    if (fp->io_bcnt == 0)
        fp->io_bptr = fp->io_bbuf;
    *fp->io_bptr++ = c;
    fp->io_flag |= IO_BZY;
    if (++fp->io_bcnt >= fp->io_bsiz) {
        fflush(fp);
    }
}
